# Class default

- Defined in src/offline/TilesDownloader.js:37

#####
Index

### Constructors

constructor

### Methods

cancel
download

## Constructors

### constructor

- new default(tiles, callbacks, workers): default

- #### Parameters

  - tiles: OfflineTile[]

    An array of tiles to download.

  - callbacks: OfflineOnTileDownload

    The callbacks.

  - workers: number

    The maximum number of workers.

  #### Returns default

  - Defined in src/offline/TilesDownloader.js:43

## Methods

### cancel

- cancel(): void

- #### Returns void

  - Defined in src/offline/TilesDownloader.js:112

### download

- download(): Promise<void>

- #### Returns Promise<void>

  A promise that resolves when the downloads are complete (failing or not)

  - Defined in src/offline/TilesDownloader.js:119